<?xml version="1.0" encoding="ISO-8859-1"?>

<!--
  Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
  PROPRIETARY/CONFIDENTIAL.  Use of this product is subject to license terms.

  MAP Calendar Service Definition
-->

<!DOCTYPE ServicesConfiguration
    PUBLIC "=//Sun ONE//Service Management Services (SMS) 1.0 DTD//EN"
    "jar://com/sun/identity/sm/sms.dtd">

<ServicesConfiguration>
    <Service name="SunMobileAppCalendarService" version="1.0">
        <Schema
            i18nFileName="SunMobileAppCalendarService"
	    serviceHierarchy="/app.configuration/SunMobileAppCalendarService"
            i18nKey="calServiceDescription">
            <Global>
                <AttributeSchema name="serviceObjectClasses"
                    type="list"
                    syntax="string"
		    i18nKey="">
                    <DefaultValues>
                        <Value>SunMobileAppCalendarPerson</Value>
                    </DefaultValues>
		</AttributeSchema>

                <AttributeSchema name="sunConfigurationTemplates"
                                 type="list"
                                 syntax="string"
                                 any="display"
                                 i18nKey="sunConfigurationTemplatesDescription">
                </AttributeSchema>

                <AttributeSchema name="sunMobileAppCalendarJspCalendarNumLines"
                    type="list"
                    syntax="string"
                    any="display"
		    i18nKey="jspCalendarNumLines">
                    <DefaultValues>
	                <Value>default|7</Value>
                    </DefaultValues>
		</AttributeSchema>
                <AttributeSchema name="sunMobileAppCalendarJspEventNumLines"
                    type="list"
                    syntax="string"
                    any="display"
		    i18nKey="jspEventNumLines">
                    <DefaultValues>
	                <Value>default|7</Value>
                    </DefaultValues>
		</AttributeSchema>
                <AttributeSchema name="sunMobileAppCalendarJspSummaryLength"
                    type="list"
                    syntax="string"
                    any="display"
		    i18nKey="jspSummaryLength">
                    <DefaultValues>
	                <Value>default|25</Value>
                    </DefaultValues>
		</AttributeSchema>
                <AttributeSchema name="sunMobileAppCalendarJspLocationLength"
                    type="list"
                    syntax="string"
                    any="display"
		    i18nKey="jspLocationLength">
                    <DefaultValues>
	                <Value>default|25</Value>
                    </DefaultValues>
		</AttributeSchema>
                <AttributeSchema name="sunMobileAppCalendarJspDescLength"
                    type="list"
                    syntax="string"
                    any="display"
		    i18nKey="jspDescLength">
                    <DefaultValues>
	                <Value>default|300</Value>
                    </DefaultValues>
		</AttributeSchema>
            </Global>

<!-- TBD as per ID6.0
            <Policy>
                <ActionSchema name="sunMobileAppCalendarExecutable"
                    type="single"
                    syntax="boolean"
                    any="display"
                    cosQualifier="default"
                    i18nKey="p">
                    <DefaultValues>
                        <Value>true</Value>
                    </DefaultValues>
                </ActionSchema>
            </Policy>
-->

            <Dynamic>
                <AttributeSchema name="sunMobileAppCalendarConfig"
                                 type="list"
                                 syntax="string"
                                 any="display"
                                 cosQualifier="merge-schemes"
                                 i18nKey="appConfig">
                </AttributeSchema>
            </Dynamic>

            <User>
                <AttributeSchema name="sunMobileAppCalendarConfig"
                    type="list"
                    syntax="string"
                    any="display"
                    cosQualifier="merge-schemes"
                    i18nKey="appConfig">
                </AttributeSchema>
            </User>

        </Schema>
    </Service>
</ServicesConfiguration>
